package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIF6 extends MwfRequest<MWFIF6, MWFIF6Response> {

    @Parameter(name = "AccountNumber")
    MWFIF6 accountNumber(String accountNumber);
    @Parameter(name = "AddressCity")
    MWFIF6 addressCity(String addressCity);
    @Parameter(name = "AddressCountry")
    MWFIF6 addressCountry(String addressCountry);
    @Parameter(name = "AddressHouseNumber")
    MWFIF6 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWFIF6 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressPurposeCode")
    MWFIF6 addressPurposeCode(String addressPurposeCode);
    @Parameter(name = "AddressStreet")
    MWFIF6 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWFIF6 addressZipCode(String addressZipCode);
    @Parameter(name = "BirthDate")
    MWFIF6 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWFIF6 birthNumber(String birthNumber);
    @Parameter(name = "BusCode")
    MWFIF6 busCode(String busCode);
    @Parameter(name = "ClientType")
    MWFIF6 clientType(String clientType);
    @Parameter(name = "CompanyIdentificationNumber")
    MWFIF6 companyIdentificationNumber(String companyIdentificationNumber);
    @Parameter(name = "CompanyName")
    MWFIF6 companyName(String companyName);
    @Parameter(name = "Country")
    MWFIF6 country(String country);
    @Parameter(name = "CustomerSRCSystem")
    MWFIF6 customerSRCSystem(String customerSRCSystem);
    @Parameter(name = "DelFlag")
    MWFIF6 delFlag(String delFlag);
    @Parameter(name = "Name")
    MWFIF6 name(String name);
    @Parameter(name = "SRCRole")
    MWFIF6 sRCRole(String sRCRole);
    @Parameter(name = "Surname")
    MWFIF6 surname(String surname);
}
